curl --location 'https://api.chronox.ai/api/thread/send-wa-template' \
--header 'priority: u=1, i' \
--header 'Authorization: Bearer ext-6d9d2de9a25e15a457f0498d2a80919df01c448476c294492946fa6fa5a51355' \
--header 'content-type: application/json' \
--data '{
"whatsapp_template_id": 517,
"user_wa_phone_number": "916352505293",
"integrated_channel_id": 46,
"template_variable_data": []
}'{
"status": true,
"data": {
"threadId": "1c1e8c3b-7e22-4fb3-bb40-c20c92a451db",
"wa_message_id": null,
"wa_template_execution_data": {
"whatsapp_template_id": 1184,
"whatsapp_template_name": "pg_variable_test",
"whatsapp_template_language": "en",
"whatsapp_template_header_text_value": "This is a sample header Piyush Garg this is sample piyush garg..",
"whatsapp_template_header_chronox_url": null,
"whatsapp_template_header_type_id": "1",
"whatsapp_template_header_type_name": "Text",
"whatsapp_template_body": "this is a sample body text ??",
"whatsapp_template_footer": null,
"whatsapp_template_button": []
},
"wa_payload": {
"messaging_product": "whatsapp",
"to": "917297914605",
"type": "template",
"template": {
"name": "pg_variable_test",
"language": {
"code": "en"
},
"components": [
{
"type": "header",
"parameters": [
{
"type": "text",
"text": "Piyush Garg"
}
]
}
]
}
}
}
}